Bug 150802 - FC3 dual head not working
FC3 dual head not working
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-03-10 13:49 EST by Adam Patacchiola
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-14 11:24:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
xorg.conf (3.38 KB, text/plain)
2005-03-10 13:51 EST, Adam Patacchiola
no flags Details
xorg.0.log (29.26 KB, text/plain)
2005-03-10 13:51 EST, Adam Patacchiola
no flags Details

  None (edit)
Description Adam Patacchiola 2005-03-10 13:49:38 EST
Description of problem:

Can not get dual head working. Get this warning: 

(WW) via: No matching Device section for instance (BusID PCI:1:0:0) found

followed (eventually) by this error: 

(EE) Screen 0 deleted because of no matching config section. X then
starts with one monitor. 

I have onboard S3 unichrome AGP (via km400), and nvidia GeForce FX
5200 PCI card. I can get either card working individually, but not
both at the same time. 

Version-Release number of selected component (if applicable):

I am running x 6.8.2-7. I also tried System-Config-Display-1.0.25-1 to
try and see if that helped. It didn't. 

How reproducible:


Steps to Reproduce:
1. startx
Actual results:

Expected results:

Additional info:
Comment 1 Adam Patacchiola 2005-03-10 13:51:16 EST
Created attachment 111866 [details]
Comment 2 Adam Patacchiola 2005-03-10 13:51:46 EST
Created attachment 111867 [details]
Comment 3 Adam Patacchiola 2005-03-14 11:24:24 EST

I told the bios to boot the onboard (agp) video first. I then added this line to
the nvidia display entry, so they look like this:

Section "Device"
Identifier "Videocard0"
Driver "via"
VendorName "Videocard vendor"
BoardName "S3 UniChrome"

Section "Device"
Identifier "Videocard1"
Driver "nvidia"
VendorName "Videocard Vendor"
BoardName "NVIDIA GeForce FX (generic)"
Option "useint10module" "1"
BusID "PCI:0:10:0"

the useint10module option seems to be the key.

Note You need to log in before you can comment on or make changes to this bug.